#!/usr/bin/env electron
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const path = __importStar(require("path"));
let pluginName;
switch (process.platform) {
    default:
    case 'linux':
        pluginName = 'libpepflashplayer.so';
        break;
    case 'darwin':
        pluginName = 'PepperFlashPlayer.plugin';
        break;
    case 'win32':
        pluginName = 'pepflashplayer32_32_0_0_465.dll';
        break;
}
electron_1.app.commandLine.appendSwitch('ppapi-flash-path', path.join(__dirname, pluginName));
electron_1.app.commandLine.appendSwitch('no-sandbox');
class Main {
    constructor() {
        this.application = electron_1.app;
        this.application.on('window-all-closed', this.onWindowAllClosed.bind(this));
        this.application.on('ready', this.onReady.bind(this));
        this.application.on('certificate-error', (event, webContents, url, error, certificate, callback) => {
            event.preventDefault();
            callback(true);
        });
    }
    onWindowAllClosed() {
        this.application.quit();
    }
    onReady() {
        this.mainWindow = new electron_1.BrowserWindow({
            width: 800,
            height: 600,
            webPreferences: {
                plugins: true,
            }
        });
        this.mainWindow.loadURL('https://notrisfoes.com/');
    }
}
exports.default = Main;
new Main();
